<?php

/*
Plugin Name: Generate Memorizable Passwords
Description: Előre megadott szókészletből generál jelszót ez a bővítmény. | Kód forrása: https://wordpress.stackexchange.com/questions/157331/custom-password-generator-for-users | Szavak forrása: http://nagygusztav.hu/sites/default/files/csatol/szavak.txt
Version: 3.0
License: GPL
Author: Szűcs Ádám
Author URI: http://wordpress.video.hu
*/

function my_password_filter($input) {

    $words = explode(' ', "Ablak Abroncs Ad Agg Aggodalom Ajak Akar Akarat Akaszt Alacsony Alma Alszik Altat Angyal Anya Apa Arany Aranyos Arc Aszal Asztal Avas Bab Bagoly Baj Bajos Bajusz Bal Balra Balta Barna Beteg Bicska Bilincs Birka Bizalom Bolha Bolond Bor Borda Borotva Bors Bunda Comb Cukor Csal Csavar Csend Csepp Csiga Csillag Csizma Csomag Csont Csorog Dagad Dagaszt Dal Dalol Darab Deszka Dinnye Dolgozik Dolog Domb Eb Ecet Ecetes Egyenes Egyezik Elad Elaltat Elcsal Elcsap Elejt Elfelejt Elfojt Elhajt Elhal Elhitet Elismer Elrejt Elszalad Eltesz Elvesz Elvisel Ember Epe Esik Eszik Fa Fagy Fakad Fal Falat Falatozik Falu Falusi Farkas Fazekas Fej Fejsze Fekete Feketedik Fekszik Fektet Felad Felbont Feled Felel Felemel Felismer Felkel Felmegy Felold Fest Fiatal Finom Fizet Fodros Fog Fogas Fogdos Fogy Fojt Folt Foltoz Fon Fonal Fonnyad Fonnyadt Forgat Forr Fut Gabona Garas Gaz Gazdag Gerely Gomb Gond Gondol Gonosz Guba Gyakori Gyakorol Gyalog Gyarapodik Gyenge Gyep Gyermek Gyertya Gyilkol Gyomor Gyors Gyullad Hab Habos Habzik Hagy Hagyma Haj Hajas Hajlik Hajnal Hajnalodik Hajt Hal Halaszt Hall Hallgat Halmoz Halott Hamar Hamu Hang Hangya Harag Haragos Haragszik Harang Harap Harcos Harisnya Has Hasad Hasas Hatalom Hazudik Hegy Hely Hervad Hervadt Hiba Hideg Hisz Hit Hold Homlok Hord Hordoz Hoz Huba Hull Hullat Hurka Hurut Idegen Igazgat Ijed Ijeszt Iker Ima Inda Indul Ing Ingyen Integet Irigy Irigyel Ismer Iszik Ital Itat Ittas Izzad Jegy Juh Kacag Kakas Kalap Kalapos Kalitka Kan Kanca Kap Kapar Kapca Kapu Kar Kard Karika Karperec Kasza Katona Kecske Kecskebak Kedves Kehes Kemence Ken Kender Kerek Keres Kereset Kereszt Keresztel Kert Kibont Kicsi Kiesik Kimegy Kinevet Kis Kocsi Kocsis Kocsma Koldul Koldus Koma Kondor Kopasz Koplal Korpa Kos Kova Kukac Kulcs Kurjant Kurta Kutya Lakik Lakodalom Lap Lassan Leereszt Lefejt Lel Liszt Lomb Lop Lovagol Lovas Lyuk Lyukas Lyukaszt Macska Madzag Mag Magas Malac Malom Mar Marad Marha Marok Megfeledkezik Meghagy Meghal Meghoz Megijed Megkap Megkeres Megmond Megnyit Megnyom Megold Megolvas Megretten Megsirat Megszagol Megszed Megszeret Megtesz Megvasal Megy Meggyilkol Meleg Mell Meny Menny Mese Messze Mirigy Mocskos Mond Mos Mosolyog Mulat Munka Mutat Nagy Nagyatya Nap Naponta Nedves Nedvesedik Nemzet Nevet Nyak Nyakszirt Nyalakodik Nyel Nyelv Nyelves Nyereg Nyers Nyes Nyit Nyitott Odvas Odvasodik Okos Okosodik Oktat Olaj Old Oldal Olt Olvad Olvas Olvaszt Orgona Orr Orvosol Ostoba Ostor Pad Panasz Pap Paraszt Part Paszuly Patkol Pecsenye Pelyhes Per Pipa Piros Piroslik Piszkol Piszkos Piszok Por Poros Puha Puhul Rab Ragad Ragyog Raj Rak Rejt Remeg Rend Repeszt Reszel Reszket Retten Rezes Rongy Rossz Ruha Sajt Sapka Sark Satu Seb Sebez Selyem Seper Siet Siket Sors Suhanc Suta Szabad Szag Szagol Szakad Szalad Szalag Szalma Szalonna Szarka Szarv Szarvas Szed Szeder Szeg Szeles Szem Szempilla Szent Szenny Szennyes Szerelem Szerencse Szeret Szeretet Szerez Szid Szilva Szita Szokik Szoknya Szolga Szomj Szomjas Szomjazik Szorongat Szoros Szorul Szurok Takar Talp Tanul Tanya Tapasztal Tarisznya Tart Tavasz Teher Tej Tejes Teker Tekint Templom Tenger Terhel Terhes Test Tesz Tetszik Tett Tettes Tetves Tiszta Tiszteleg Toll Tolvaj Tolvajkodik Torok Tud Udvar Ugat Ugrik Ujj Ujjas Unatkozik Utas Utca Vaj Vak Vakar Varr Vas Vastag Veder Ver Veres Vesz Vet Vezet Viasz Viaszos Villa Visz Viszket Vizes Von Zab Zseb");

    $num = rand(10000, 99999);

    return $words[array_rand($words)] . $num . $words[array_rand($words)];

}

add_filter('random_password', 'my_password_filter', 10, 1);